"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PeerUnreachableError = exports.InvalidShardPathError = exports.UnknownShardKindError = exports.TimeoutError = void 0;
class TimeoutError extends Error {
    constructor() {
        super('timeout');
    }
}
exports.TimeoutError = TimeoutError;
class UnknownShardKindError extends Error {
    constructor() {
        super('unknownShardKind');
    }
}
exports.UnknownShardKindError = UnknownShardKindError;
class InvalidShardPathError extends Error {
    constructor(extensions = 'invalidShardPath') {
        super(extensions);
    }
}
exports.InvalidShardPathError = InvalidShardPathError;
class PeerUnreachableError extends Error {
    constructor(extensions = 'peerUnreachable') {
        super(extensions);
    }
}
exports.PeerUnreachableError = PeerUnreachableError;
//# sourceMappingURL=errors.js.map