"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Storage = void 0;
const tslib_1 = require("tslib");
class Storage {
    constructor(namespace) {
        this.namespace = namespace;
        this.data = {};
    }
    keys() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return Object.keys(this.data);
        });
    }
    get(key) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return this.data[key] || null;
        });
    }
    set(key, value) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            this.data[key] = value;
        });
    }
}
exports.Storage = Storage;
//# sourceMappingURL=storage.js.map